Bug 426743 - savage: opengl programs fail on startup with wait event returned error -14
savage: opengl programs fail on startup with wait event returned error -14
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-savage (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-25 13:28 EST by Alex Villacís Lasso
Modified: 2009-01-09 02:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:33:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contents of /etc/X11/xorg.conf for normal usage (2.02 KB, text/plain)
2008-01-09 10:24 EST, Alex Villacís Lasso
no flags Details
Contents of /var/log/Xorg.0.log with normal config file (49.00 KB, text/plain)
2008-01-09 10:25 EST, Alex Villacís Lasso
no flags Details
xorg.conf with autodetection (568 bytes, application/octet-stream)
2008-01-09 10:26 EST, Alex Villacís Lasso
no flags Details
Log file for X server with autodetection (55.30 KB, application/octet-stream)
2008-01-09 10:28 EST, Alex Villacís Lasso
no flags Details
DRM kernel modules update (1.40 MB, patch)
2008-01-09 13:21 EST, Samo Pogacnik
no flags Details | Diff
X crash on display resolution change request from ppracer startup. (1.58 KB, patch)
2008-01-09 13:24 EST, Samo Pogacnik
no flags Details | Diff

  None (edit)
Description Alex Villacís Lasso 2007-12-25 13:28:50 EST
Description of problem:
OpenGL applications running on Fedora 8 with a ProSavage graphics card fail with
a message "wait event returned -14". 

Version-Release number of selected component (if applicable):
xorg-x11-drv-savage  2.1.3-1.fc8
libdrm 2.3.0-7.fc8
mesa-libGL 7.0.1-7.fc8
xorg-x11-server-Xorg 1.3.0.0-33.fc8
kernel 2.6.23.1-42.fc8

How reproducible:
Always

Steps to Reproduce:
1. start glxgears or glxinfo
  
Actual results:
For running of glxinfo:
[root@karlalex rpms]# glxinfo 
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_OML_swap_method, 
    GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_fbconfig, 
    GLX_SGIX_visual_select_group
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX version: 1.2
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_OML_swap_method, 
    GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_fbconfig, 
    GLX_SGIX_visual_select_group
OpenGL vendor string: S3 Graphics Inc.
OpenGL renderer string: Mesa DRI ProSavageDDR 20061110 AGP 4x x86/MMX/SSE2
OpenGL version string: 1.2 Mesa 7.0.2
OpenGL extensions:
    GL_ARB_imaging, GL_ARB_multisample, GL_ARB_multitexture, 
    GL_ARB_texture_compression, GL_ARB_texture_env_add, 
    GL_ARB_texture_mirrored_repeat, GL_ARB_transpose_matrix, 
    GL_ARB_vertex_buffer_object, GL_ARB_window_pos, GL_EXT_abgr, GL_EXT_bgra, 
    GL_EXT_blend_color, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_clip_volume_hint, GL_EXT_compiled_vertex_array, GL_EXT_convolution, 
    GL_EXT_copy_texture, GL_EXT_draw_range_elements, GL_EXT_histogram, 
    GL_EXT_packed_pixels, GL_EXT_polygon_offset, GL_EXT_rescale_normal, 
    GL_EXT_secondary_color, GL_EXT_separate_specular_color, 
    GL_EXT_stencil_wrap, GL_EXT_subtexture, GL_EXT_texture, GL_EXT_texture3D, 
    GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, 
    GL_EXT_texture_lod_bias, GL_EXT_texture_object, GL_EXT_vertex_array, 
    GL_APPLE_packed_pixels, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_MESA_window_pos, 
    GL_NV_light_max_exponent, GL_NV_texgen_reflection, GL_OES_read_format, 
    GL_SGI_color_matrix, GL_SGI_color_table, GL_SGIS_texture_edge_clamp, 
    GL_SGIS_texture_lod
wait event returned -14

glxgears shows its window briefly with one frame, then closes down:
[root@karlalex rpms]# glxgears 
wait event returned -14


Expected results:
glxinfo should not show any errors.
glxgears should display continuous gears animation as normal.

Additional info:

Bug already described at:
http://forums.fedoraforum.org/showthread.php?t=176155&goto=newpost

[root@karlalex rpms]# lspci -v
00:00.0 Host bridge: VIA Technologies, Inc. P4M266 Host Bridge
        Subsystem: VIA Technologies, Inc. Unknown device 0000
        Flags: bus master, 66MHz, medium devsel, latency 8
        Memory at e0000000 (32-bit, prefetchable) [size=16M]
        Capabilities: [a0] AGP version 2.0
        Capabilities: [c0] Power Management version 2

00:01.0 PCI bridge: VIA Technologies, Inc. VT8633 [Apollo Pro266 AGP] (prog-if
00 [Normal decode])
        Flags: bus master, 66MHz, medium devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        Memory behind bridge: dfd00000-dfefffff
        Prefetchable memory behind bridge: cfb00000-dfbfffff
        Capabilities: [80] Power Management version 2

00:0b.0 Serial controller: Timedia Technology Co Ltd PCI2S550 (Dual 16550 UART)
(rev 01) (prog-if 02 [16550])
        Subsystem: Timedia Technology Co Ltd Unknown device 5079
        Flags: stepping, medium devsel, IRQ 11
        I/O ports at ec00 [size=32]
        I/O ports at e800 [size=8]
        I/O ports at e400 [size=8]

00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 80) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at d800 [size=32]
        Capabilities: [80] Power Management version 2

00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 80) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
        Flags: bus master, medium devsel, latency 32, IRQ 5
        I/O ports at dc00 [size=32]
        Capabilities: [80] Power Management version 2

00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 80) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
        Flags: bus master, medium devsel, latency 32, IRQ 5
        I/O ports at e000 [size=32]
        Capabilities: [80] Power Management version 2

00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82) (prog-if 20 [EHCI])
        Subsystem: VIA Technologies, Inc. USB 2.0
        Flags: bus master, medium devsel, latency 32, IRQ 11
        Memory at dfffff00 (32-bit, non-prefetchable) [size=256]
        Capabilities: [80] Power Management version 2

00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
        Subsystem: VIA Technologies, Inc. Unknown device 0000
        Flags: bus master, stepping, medium devsel, latency 0
        Capabilities: [c0] Power Management version 2

00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06) (prog-if 8a
[Master SecP PriP])
        Subsystem: VIA Technologies, Inc.
VT82C586/B/VT82C686/A/B/VT8233/A/C/VT8235 PIPC Bus Master IDE
        Flags: bus master, medium devsel, latency 32, IRQ 255
        [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
        [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
        [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
        [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
        I/O ports at fc00 [size=16]
        Capabilities: [c0] Power Management version 2

00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237
AC97 Audio Controller (rev 50)
        Subsystem: VIA Technologies, Inc. K7VT2 motherboard
        Flags: medium devsel, IRQ 5
        I/O ports at d000 [size=256]
        Capabilities: [c0] Power Management version 2

00:11.6 Communication controller: VIA Technologies, Inc. AC'97 Modem Controller
(rev 80)
        Subsystem: VIA Technologies, Inc. Unknown device 4161
        Flags: medium devsel, IRQ 5
        I/O ports at d400 [size=256]
        Capabilities: [d0] Power Management version 2

00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 74)
        Subsystem: VIA Technologies, Inc. VT6102 [Rhine II] Embeded Ethernet
Controller on VT8235
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at cc00 [size=256]
        Memory at dffffe00 (32-bit, non-prefetchable) [size=256]
        Capabilities: [40] Power Management version 2

01:00.0 VGA compatible controller: S3 Inc. VT8375 [ProSavage8 KM266/KL266]
(prog-if 00 [VGA])
        Subsystem: S3 Inc. VT8375 [ProSavage8 KM266/KL266]
        Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 11
        Memory at dfe80000 (32-bit, non-prefetchable) [size=512K]
        Memory at d0000000 (32-bit, prefetchable) [size=128M]
        Expansion ROM at dfe70000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [80] AGP version 2.0
Comment 1 Alex Villacís Lasso 2007-12-26 14:39:55 EST
This bug prevents wine (compiled from sources) from running at all, even for
programs that do not explicitly use 3D.

This bug can be worked around by adding 

Option "DRI" "off"

to the driver options in /etc/X11/xorg.conf. This disables DRI support and
therefore forces OpenGL to render by software.
Comment 2 nh 2007-12-27 09:46:03 EST
It should be additionally noted that the problem also persists (and was
initially reported) for SuperSavage IX/C (16 MB) graphics cards.
It applies to both LiveCD and up-to-date Fedora 8 distributions, but it there is
no such problem for an another linux distribution even though DRI is on.
Comment 3 Alex Villacís Lasso 2007-12-28 10:38:33 EST
The problem went away after I compiled a vanilla kernel 2.6.24-rc6 from
kernel.org. This, and the fact that the -14 actually is -EFAULT, makes me think
that this bug arises from a kernel problem. However, I still don't know whether
the recompile fixed the bug, or the version upgrade.
Comment 4 Kelly-Rand 2008-01-07 17:30:26 EST
Another Super Savage user on an IBM t23 with the same problem and error output.
F8 installed. 
Comment 5 Matěj Cepl 2008-01-08 12:44:02 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Alex Villacís Lasso 2008-01-09 10:24:42 EST
Created attachment 291161 [details]
Contents of /etc/X11/xorg.conf for normal usage

This is the xorg.conf I use for normal work on the computer.
Comment 7 Alex Villacís Lasso 2008-01-09 10:25:40 EST
Created attachment 291162 [details]
Contents of /var/log/Xorg.0.log with normal config file

This is the output of the X server when using the normal configuration.
Comment 8 Alex Villacís Lasso 2008-01-09 10:26:11 EST
Created attachment 291163 [details]
xorg.conf with autodetection
Comment 9 Alex Villacís Lasso 2008-01-09 10:28:45 EST
Created attachment 291164 [details]
Log file for X server with autodetection

I must comment that switching between configuration files has no effect
whatsoever on the error. Only running the custom kernel fixes it.
Comment 10 Samo Pogacnik 2008-01-09 13:21:19 EST
Created attachment 291178 [details]
DRM kernel modules update

Updates are based on git sources on dec. 29th 2007.
Comment 11 Samo Pogacnik 2008-01-09 13:24:26 EST
Created attachment 291179 [details]
X crash on display resolution change request from ppracer startup.

This is just a workaround, since i do not know the code.
Comment 12 Samo Pogacnik 2008-01-09 13:27:14 EST
There is some additional info in fedora forum threads:
http://forums.fedoraforum.org/showthread.php?p=930814
and
http://www.fedoraforum.org/forum/showthread.php?t=175724


regards, Samo
Comment 13 Bjoern Rasmussen 2008-02-02 05:51:17 EST
Isn't this the same bug as 242272?
Comment 14 Bug Zapper 2008-11-26 04:09:52 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-01-09 02:33:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.